Index: c/src/ada-tests/mptests/mp01/node1/mp01.scn
===================================================================
--- c/src/ada-tests/mptests/mp01/node1/mp01.scn	(revision 9917d5da0143ed183c9027a509ec85eab4b2d0e3)
+++ c/src/ada-tests/mptests/mp01/node1/mp01.scn	(revision 9917d5da0143ed183c9027a509ec85eab4b2d0e3)
@@ -0,0 +1,15 @@
+*** TEST 1 -- NODE 1 ***
+Creating task 1 (Global)
+Creating task 2 (Global)
+Creating task 3 (Local)
+MA1 - clock_get -  9: 0: 0   12/31/1988
+MA2 - clock_get -  9: 0: 0   12/31/1988
+MA3 - clock_get -  9: 0: 0   12/31/1988
+MA1 - clock_get -  9: 0: 5   12/31/1988
+MA1 - deleting self
+MA2 - clock_get -  9: 0:10   12/31/1988
+MA2 - waiting to be deleted by MA3
+MA3 - clock_get -  9: 0:15   12/31/1988
+MA3 - getting TID of MA2
+MA3 - deleting MA2
+*** END OF TEST 1 ***
Index: c/src/ada-tests/mptests/mp01/node2/mp01.scn
===================================================================
--- c/src/ada-tests/mptests/mp01/node2/mp01.scn	(revision 9917d5da0143ed183c9027a509ec85eab4b2d0e3)
+++ c/src/ada-tests/mptests/mp01/node2/mp01.scn	(revision 9917d5da0143ed183c9027a509ec85eab4b2d0e3)
@@ -0,0 +1,15 @@
+*** TEST 1 -- NODE 2 ***
+Creating task 1 (Global)
+Creating task 2 (Global)
+Creating task 3 (Local)
+SA1 - clock_get -  9: 0: 0   12/31/1988
+SA2 - clock_get -  9: 0: 0   12/31/1988
+SA3 - clock_get -  9: 0: 0   12/31/1988
+SA1 - clock_get -  9: 0: 5   12/31/1988
+SA1 - deleting self
+SA2 - clock_get -  9: 0:10   12/31/1988
+SA2 - waiting to be deleted by SA3
+SA3 - clock_get -  9: 0:15   12/31/1988
+SA3 - getting TID of SA2
+SA3 - deleting SA2
+*** END OF TEST 1 ***
Index: c/src/ada-tests/mptests/mp02/node1/mp02.scn
===================================================================
--- c/src/ada-tests/mptests/mp02/node1/mp02.scn	(revision 9917d5da0143ed183c9027a509ec85eab4b2d0e3)
+++ c/src/ada-tests/mptests/mp02/node1/mp02.scn	(revision 9917d5da0143ed183c9027a509ec85eab4b2d0e3)
@@ -0,0 +1,11 @@
+*** TEST 2 -- NODE 1 ***
+Creating test task (Global)
+Getting TID of remote task (all nodes)
+Getting TID of remote task (1 node)
+task_delete of remote task returned the correct error
+task_start of remote task returned the correct error
+task_restart of remote task returned the correct error
+Setting notepad 1 of the remote task to 1
+Getting a notepad of the remote task
+Remote notepad set and read correctly
+*** END OF TEST 2 ***
Index: c/src/ada-tests/mptests/mp02/node2/mp02.scn
===================================================================
--- c/src/ada-tests/mptests/mp02/node2/mp02.scn	(revision 9917d5da0143ed183c9027a509ec85eab4b2d0e3)
+++ c/src/ada-tests/mptests/mp02/node2/mp02.scn	(revision 9917d5da0143ed183c9027a509ec85eab4b2d0e3)
@@ -0,0 +1,11 @@
+*** TEST 2 -- NODE 2 ***
+Creating test task (Global)
+Getting TID of remote task (all nodes)
+Getting TID of remote task (1 node)
+task_delete of remote task returned the correct error
+task_start of remote task returned the correct error
+task_restart of remote task returned the correct error
+Setting notepad 2 of the remote task to 2
+Getting a notepad of the remote task
+Remote notepad set and read correctly
+*** END OF TEST 2 ***
Index: c/src/ada-tests/mptests/mp03/node1/mp03.scn
===================================================================
--- c/src/ada-tests/mptests/mp03/node1/mp03.scn	(revision 9917d5da0143ed183c9027a509ec85eab4b2d0e3)
+++ c/src/ada-tests/mptests/mp03/node1/mp03.scn	(revision 9917d5da0143ed183c9027a509ec85eab4b2d0e3)
@@ -0,0 +1,28 @@
+*** TEST 3 -- NODE 1 ***
+Creating Test_task (Global)
+Starting Test_task (Global)
+Deleting initialization task
+Getting TID of remote task
+Remote task's name is : 222
+111  - Suspending remote task
+111  - Resuming remote task
+111  - Suspending remote task
+111  - Resuming remote task
+111  - Suspending remote task
+111  - Resuming remote task
+222  - have I been suspended???
+222  - have I been suspended???
+222  - have I been suspended???
+222  - have I been suspended???
+222  - have I been suspended???
+222  - have I been suspended???
+222  - have I been suspended???
+222  - have I been suspended???
+222  - have I been suspended???
+222  - have I been suspended???
+222  - have I been suspended???
+222  - have I been suspended???
+222  - have I been suspended???
+222  - have I been suspended???
+*** END OF TEST 3 ***
+
Index: c/src/ada-tests/mptests/mp03/node2/mp03.scn
===================================================================
--- c/src/ada-tests/mptests/mp03/node2/mp03.scn	(revision 9917d5da0143ed183c9027a509ec85eab4b2d0e3)
+++ c/src/ada-tests/mptests/mp03/node2/mp03.scn	(revision 9917d5da0143ed183c9027a509ec85eab4b2d0e3)
@@ -0,0 +1,28 @@
+*** TEST 3 -- NODE 2 ***
+Creating Test_task (Global)
+Starting Test_task (Global)
+Deleting initialization task
+Getting TID of remote task
+Remote task's name is : 111
+111  - have I been suspended???
+111  - have I been suspended???
+111  - have I been suspended???
+111  - have I been suspended???
+111  - have I been suspended???
+111  - have I been suspended???
+111  - have I been suspended???
+111  - have I been suspended???
+111  - have I been suspended???
+111  - have I been suspended???
+111  - have I been suspended???
+111  - have I been suspended???
+111  - have I been suspended???
+111  - have I been suspended???
+222  - Suspending remote task
+222  - Resuming remote task
+222  - Suspending remote task
+222  - Resuming remote task
+222  - Suspending remote task
+222  - Resuming remote task
+*** END OF TEST 3 ***
+
Index: c/src/ada-tests/mptests/mp04/node1/mp04.scn
===================================================================
--- c/src/ada-tests/mptests/mp04/node1/mp04.scn	(revision 9917d5da0143ed183c9027a509ec85eab4b2d0e3)
+++ c/src/ada-tests/mptests/mp04/node1/mp04.scn	(revision 9917d5da0143ed183c9027a509ec85eab4b2d0e3)
@@ -0,0 +1,8 @@
+*** TEST 4 -- NODE 1 ***
+Creating Test_task (Global)
+Starting Test_task (Global)
+Deleting initialization task
+Getting TID of remote task
+Remote task's name is : 222
+Local task priority has been set
+*** END OF TEST 4 ***
Index: c/src/ada-tests/mptests/mp04/node2/mp04.scn
===================================================================
--- c/src/ada-tests/mptests/mp04/node2/mp04.scn	(revision 9917d5da0143ed183c9027a509ec85eab4b2d0e3)
+++ c/src/ada-tests/mptests/mp04/node2/mp04.scn	(revision 9917d5da0143ed183c9027a509ec85eab4b2d0e3)
@@ -0,0 +1,8 @@
+*** TEST 4 -- NODE 2 ***
+Creating Test_task (Global)
+Starting Test_task (Global)
+Deleting initialization task
+Getting TID of remote task
+Remote task's name is : 111
+Local task priority has been set
+*** END OF TEST 4 ***
Index: c/src/ada-tests/mptests/mp05/node1/mp05.scn
===================================================================
--- c/src/ada-tests/mptests/mp05/node1/mp05.scn	(revision 9917d5da0143ed183c9027a509ec85eab4b2d0e3)
+++ c/src/ada-tests/mptests/mp05/node1/mp05.scn	(revision 9917d5da0143ed183c9027a509ec85eab4b2d0e3)
@@ -0,0 +1,11 @@
+*** TEST 5 -- NODE 1 ***
+Creating Test_task (Global)
+Starting Test_task (Global)
+Deleting initialization task
+signal_catch: initializing signal catcher
+Remote task's name is : 222
+Getting TID of remote task
+Sending signal to remote task
+....................................................   
+....................................................   
+*** END OF TEST 5 ***
Index: c/src/ada-tests/mptests/mp05/node2/mp05.scn
===================================================================
--- c/src/ada-tests/mptests/mp05/node2/mp05.scn	(revision 9917d5da0143ed183c9027a509ec85eab4b2d0e3)
+++ c/src/ada-tests/mptests/mp05/node2/mp05.scn	(revision 9917d5da0143ed183c9027a509ec85eab4b2d0e3)
@@ -0,0 +1,10 @@
+*** TEST 5 -- NODE 2 ***
+Creating Test_task (Global)
+Starting Test_task (Global)
+Deleting initialization task
+signal_catch: initializing signal catcher
+Remote task's name is : 111
+Getting TID of remote task
+....................................................   
+....................................................   
+*** END OF TEST 5 ***
Index: c/src/ada-tests/mptests/mp06/node1/mp06.scn
===================================================================
--- c/src/ada-tests/mptests/mp06/node1/mp06.scn	(revision 9917d5da0143ed183c9027a509ec85eab4b2d0e3)
+++ c/src/ada-tests/mptests/mp06/node1/mp06.scn	(revision 9917d5da0143ed183c9027a509ec85eab4b2d0e3)
@@ -0,0 +1,10 @@
+*** TEST 6 -- NODE 1 ***
+Creating Test_task (Global)
+Starting Test_task (Global)
+Deleting initialization task
+Remote task's name is : 222
+Getting TID of remote task
+Sending events to remote task
+....................................................   
+....................................................   
+*** END OF TEST 6 ***
Index: c/src/ada-tests/mptests/mp06/node2/mp06.scn
===================================================================
--- c/src/ada-tests/mptests/mp06/node2/mp06.scn	(revision 9917d5da0143ed183c9027a509ec85eab4b2d0e3)
+++ c/src/ada-tests/mptests/mp06/node2/mp06.scn	(revision 9917d5da0143ed183c9027a509ec85eab4b2d0e3)
@@ -0,0 +1,11 @@
+*** TEST 6 -- NODE 2 ***
+Creating Test_task (Global)
+Starting Test_task (Global)
+Deleting initialization task
+Remote task's name is : 111
+Getting TID of remote task
+Receiving events from remote task
+....................................................   
+....................................................   
+event_receive - correctly returned TIMEOUT
+*** END OF TEST 6 ***
Index: c/src/ada-tests/mptests/mp07/node1/mp07.scn
===================================================================
--- c/src/ada-tests/mptests/mp07/node1/mp07.scn	(revision 9917d5da0143ed183c9027a509ec85eab4b2d0e3)
+++ c/src/ada-tests/mptests/mp07/node1/mp07.scn	(revision 9917d5da0143ed183c9027a509ec85eab4b2d0e3)
@@ -0,0 +1,10 @@
+*** TEST 7 -- NODE 1 ***
+Creating Test_task (Global)
+Starting Test_task (Global)
+Deleting initialization task
+Remote task's name is : 222
+Getting TID of remote task
+Sending first event to remote task
+....................................................   
+....................................................   
+*** END OF TEST 7 ***
Index: c/src/ada-tests/mptests/mp07/node2/mp07.scn
===================================================================
--- c/src/ada-tests/mptests/mp07/node2/mp07.scn	(revision 9917d5da0143ed183c9027a509ec85eab4b2d0e3)
+++ c/src/ada-tests/mptests/mp07/node2/mp07.scn	(revision 9917d5da0143ed183c9027a509ec85eab4b2d0e3)
@@ -0,0 +1,9 @@
+*** TEST 7 -- NODE 2 ***
+Creating Test_task (Global)
+Starting Test_task (Global)
+Deleting initialization task
+Remote task's name is : 111
+Getting TID of remote task
+....................................................   
+....................................................   
+*** END OF TEST 7 ***
Index: c/src/ada-tests/mptests/mp08/node1/mp08.scn
===================================================================
--- c/src/ada-tests/mptests/mp08/node1/mp08.scn	(revision 9917d5da0143ed183c9027a509ec85eab4b2d0e3)
+++ c/src/ada-tests/mptests/mp08/node1/mp08.scn	(revision 9917d5da0143ed183c9027a509ec85eab4b2d0e3)
@@ -0,0 +1,9 @@
+*** TEST 8 -- NODE 1 ***
+Creating Test_task (Global)
+Starting Test_task (Global)
+Deleting initialization task
+Getting SMID of semaphore
+pvpvpvpvpvp....... 
+(continued) pvp 
+Deleting global semaphore
+*** END OF TEST 8 ***
Index: c/src/ada-tests/mptests/mp08/node2/mp08.scn
===================================================================
--- c/src/ada-tests/mptests/mp08/node2/mp08.scn	(revision 9917d5da0143ed183c9027a509ec85eab4b2d0e3)
+++ c/src/ada-tests/mptests/mp08/node2/mp08.scn	(revision 9917d5da0143ed183c9027a509ec85eab4b2d0e3)
@@ -0,0 +1,10 @@
+*** TEST 8 -- NODE 2 ***
+Creating Test_task (Global)
+Starting Test_task (Global)
+Deleting initialization task
+Getting SMID of semaphore
+semaphore_delete correctly returned ILLEGAL_ON_REMOTE_OBJECT
+pvpvpvpvpvp....... 
+(continued) pvp 
+Global semaphore deleted
+*** END OF TEST 8 ***
Index: c/src/ada-tests/mptests/mp09/node1/mp09.scn
===================================================================
--- c/src/ada-tests/mptests/mp09/node1/mp09.scn	(revision 9917d5da0143ed183c9027a509ec85eab4b2d0e3)
+++ c/src/ada-tests/mptests/mp09/node1/mp09.scn	(revision 9917d5da0143ed183c9027a509ec85eab4b2d0e3)
@@ -0,0 +1,20 @@
+*** TEST 9 -- NODE 1 ***
+Creating Message Queue (Global)
+Creating Test_task (local)
+Starting Test_task (local)
+Deleting initialization task
+Getting QID of message queue
+Receiving message ...
+Received : 123456789012345
+Receiving message ...
+Received : abcdefghijklmno
+Receiving message ...
+Received : ABCDEFGHIJKLMNO
+Receiver delaying for a second
+message_queue_send : 123456789012345
+Delaying for a second
+message_queue_urgent : abcdefghijklmno
+Delaying for a second
+message_queue_broadcast : ABCDEFGHIJKLMNO
+Delaying for a second
+*** END OF TEST 9 ***
Index: c/src/ada-tests/mptests/mp09/node2/mp09.scn
===================================================================
--- c/src/ada-tests/mptests/mp09/node2/mp09.scn	(revision 9917d5da0143ed183c9027a509ec85eab4b2d0e3)
+++ c/src/ada-tests/mptests/mp09/node2/mp09.scn	(revision 9917d5da0143ed183c9027a509ec85eab4b2d0e3)
@@ -0,0 +1,26 @@
+*** TEST 9 -- NODE 2 ***
+Creating Test_task (local)
+Starting Test_task (local)
+Deleting initialization task
+Getting QID of message queue
+message_queue_delete correctly returned ILLEGAL_ON_REMOTE_OBJECT
+message_queue_send : 123456789012345 
+Delaying for a second
+message_queue_urgent : abcdefghijklmno 
+Delaying for a second
+message_queue_broadcast : ABCDEFGHIJKLMNO 
+Delaying for a second
+Receiving message ...
+Received : 123456789012345 
+Receiving message ...
+Received : abcdefghijklmno 
+Receiving message ...
+Received : ABCDEFGHIJKLMNO 
+Receiver delaying for a second
+Flushing remote empty queue
+0 messages were flushed from remote empty queue
+Send messages to be flushed from remote queue
+Flushing remote queue
+1 messages were flushed from the remote queue
+Waiting for message queue to be deleted
+*** END OF TEST 9 ***
Index: c/src/ada-tests/mptests/mp10/node1/mp10.scn
===================================================================
--- c/src/ada-tests/mptests/mp10/node1/mp10.scn	(revision 9917d5da0143ed183c9027a509ec85eab4b2d0e3)
+++ c/src/ada-tests/mptests/mp10/node1/mp10.scn	(revision 9917d5da0143ed183c9027a509ec85eab4b2d0e3)
@@ -0,0 +1,4 @@
+*** TEST 10 -- NODE 1 ***
+Creating Message Queue (Global)
+Creating Semaphore (Global)
+*** END OF TEST 10 ***
Index: c/src/ada-tests/mptests/mp10/node2/mp10.scn
===================================================================
--- c/src/ada-tests/mptests/mp10/node2/mp10.scn	(revision 9917d5da0143ed183c9027a509ec85eab4b2d0e3)
+++ c/src/ada-tests/mptests/mp10/node2/mp10.scn	(revision 9917d5da0143ed183c9027a509ec85eab4b2d0e3)
@@ -0,0 +1,18 @@
+*** TEST 10 -- NODE 2 ***
+Creating Test_task 1 (local)
+Starting Test_task 1 (local)
+Creating Test_task 2 (local)
+Starting Test_task 2 (local)
+Creating Test_task 3 (local)
+Starting Test_task 3 (local)
+Sleeping for 1 second ...
+Getting QID of message queue
+Attempting to receive message ...
+Getting SMID of semaphore
+Attempting to acquire semaphore ...
+Getting SMID of semaphore
+Attempting to acquire semaphore ...
+Deleting Test_task 2
+Deleting Test_task 1
+Restarting Test_task 3
+*** END OF TEST 10 ***
Index: c/src/ada-tests/mptests/mp11/node1/mp11.scn
===================================================================
--- c/src/ada-tests/mptests/mp11/node1/mp11.scn	(revision 9917d5da0143ed183c9027a509ec85eab4b2d0e3)
+++ c/src/ada-tests/mptests/mp11/node1/mp11.scn	(revision 9917d5da0143ed183c9027a509ec85eab4b2d0e3)
@@ -0,0 +1,10 @@
+*** TEST 11 -- NODE 1 ***
+Attempting to create Test_task (Global)
+task_create correctly returned TOO_MANY
+Attempting to create Message Queue (Global)
+message_queue_create correctly returned TOO_MANY
+Creating Semaphore (Global)
+semaphore_create correctly returned TOO_MANY
+Creating Partition (Global)
+partition_create correctly returned TOO_MANY
+*** END OF TEST 11 ***
Index: c/src/ada-tests/mptests/mp11/node2/mp11.scn
===================================================================
--- c/src/ada-tests/mptests/mp11/node2/mp11.scn	(revision 9917d5da0143ed183c9027a509ec85eab4b2d0e3)
+++ c/src/ada-tests/mptests/mp11/node2/mp11.scn	(revision 9917d5da0143ed183c9027a509ec85eab4b2d0e3)
@@ -0,0 +1,2 @@
+*** TEST 11 -- NODE 2 ***
+*** END OF TEST 11 ***
Index: c/src/ada-tests/mptests/mp12/node1/mp12.scn
===================================================================
--- c/src/ada-tests/mptests/mp12/node1/mp12.scn	(revision 9917d5da0143ed183c9027a509ec85eab4b2d0e3)
+++ c/src/ada-tests/mptests/mp12/node1/mp12.scn	(revision 9917d5da0143ed183c9027a509ec85eab4b2d0e3)
@@ -0,0 +1,6 @@
+*** TEST 12 -- NODE 1 ***
+Got to the initialization task
+Creating Partition (Global)
+Sleeping for three seconds
+Deleting Partition (Global)
+*** END OF TEST 12 ***
Index: c/src/ada-tests/mptests/mp12/node2/mp12.scn
===================================================================
--- c/src/ada-tests/mptests/mp12/node2/mp12.scn	(revision 9917d5da0143ed183c9027a509ec85eab4b2d0e3)
+++ c/src/ada-tests/mptests/mp12/node2/mp12.scn	(revision 9917d5da0143ed183c9027a509ec85eab4b2d0e3)
@@ -0,0 +1,9 @@
+*** TEST 12 -- NODE 2 ***
+Got to the initialization task
+Getting ID of remote Partition (Global)
+Attempting to delete remote Partition (Global)
+partition_delete correctly returned ILLEGAL_ON_REMOTE_OBJECT!!
+Obtaining a buffer from the global partition
+Address returned was : 0x200f0000
+NOTE: Address printed will probably differ!!!
+*** END OF TEST 12 ***
Index: c/src/ada-tests/mptests/mp13/node1/mp13.scn
===================================================================
--- c/src/ada-tests/mptests/mp13/node1/mp13.scn	(revision 9917d5da0143ed183c9027a509ec85eab4b2d0e3)
+++ c/src/ada-tests/mptests/mp13/node1/mp13.scn	(revision 9917d5da0143ed183c9027a509ec85eab4b2d0e3)
@@ -0,0 +1,14 @@
+*** TEST 13 -- NODE 1 ***
+Creating Message Queue (Global)
+Creating Semaphore (Global)
+Creating Test_task 1 (local)
+Starting Test_task 1 (local)
+Creating Test_task 2 (local)
+Starting Test_task 2 (local)
+Getting QID of message queue
+Receiving message ...
+Getting SMID of semaphore
+Releasing semaphore ...
+Getting semaphore ...
+Getting semaphore ...
+*** END OF TEST 13 ***
Index: c/src/ada-tests/mptests/mp13/node2/mp13.scn
===================================================================
--- c/src/ada-tests/mptests/mp13/node2/mp13.scn	(revision 9917d5da0143ed183c9027a509ec85eab4b2d0e3)
+++ c/src/ada-tests/mptests/mp13/node2/mp13.scn	(revision 9917d5da0143ed183c9027a509ec85eab4b2d0e3)
@@ -0,0 +1,16 @@
+*** TEST 13 -- NODE 2 ***
+Creating Test_task 1 (local)
+Starting Test_task 1 (local)
+Creating Test_task 2 (local)
+Starting Test_task 2 (local)
+Deleting initialization task
+Getting QID of message queue
+Getting SMID of semaphore
+Getting semaphore ...
+Releasing semaphore ...
+Receiving message ...
+Getting semaphore ...
+message_queue_receive correctly returned TIMEOUT
+Deleting self
+semaphore_obtain correctly returned TIMEOUT
+*** END OF TEST 13 ***
Index: c/src/ada-tests/mptests/mp14/node1/mp14.scn
===================================================================
--- c/src/ada-tests/mptests/mp14/node1/mp14.scn	(revision 9917d5da0143ed183c9027a509ec85eab4b2d0e3)
+++ c/src/ada-tests/mptests/mp14/node1/mp14.scn	(revision 9917d5da0143ed183c9027a509ec85eab4b2d0e3)
@@ -0,0 +1,33 @@
+*** TEST 14 -- NODE 1 ***
+Creating Semaphore (Global)
+Creating Message Queue (Global)
+Creating Partition (Global)
+Creating Event task (Global)
+Starting  Event task (Global)
+Creating Semaphore task (Global)
+About to go to sleep!
+Starting  Semaphore task (Global)
+Creating Message Queue task (Global)
+Getting SMID of semaphore
+Starting  Message Queue task (Global)
+Creating Partition task (Global)
+Getting ID of msg queue
+Starting  Partition task (Global)
+Getting ID of partition
+Waking up!
+Remote task's name is : 222
+Getting TID of remote task
+Sending events to remote task
+<stream of following characters>
+. - indicates 100 iterations of 
+tm_evafter of 1 tick and event_receive.
+e - indicates that 100 
+events have been sent to the remote task.
+m - indicates 100 iterations of 
+message_queue_send and message_queue_receive.
+p - indicates 100 iterations of 
+partition_get_buffer and partition_return_buffer.
+s - indicates 100 iterations of 
+semaphore_obtain and semaphore_release.
+NOTE: The characters in the stream could begin to appear whenever any
+task is started.
Index: c/src/ada-tests/mptests/mp14/node2/mp14.scn
===================================================================
--- c/src/ada-tests/mptests/mp14/node2/mp14.scn	(revision 9917d5da0143ed183c9027a509ec85eab4b2d0e3)
+++ c/src/ada-tests/mptests/mp14/node2/mp14.scn	(revision 9917d5da0143ed183c9027a509ec85eab4b2d0e3)
@@ -0,0 +1,28 @@
+*** TEST 14 -- NODE 2 ***
+Creating Event task (Global)
+Starting  Event task (Global)
+Creating Semaphore task (Global)
+About to go to sleep!
+Starting  Semaphore task (Global)
+Creating Message Queue task (Global)
+Getting SMID of semaphore
+Starting  Message Queue task (Global)
+Creating Partition task (Global)
+Getting ID of msg queue
+Starting  Partition task (Global)
+Getting ID of partition
+Waking up!
+Remote task's name is : 111
+Getting TID of remote task
+Receiving events from remote task
+<stream of following characters>
+. - indicates 100 iterations of 
+tm_evafter of 1 tick and event_receive.
+e - indicates that 100 
+events have been sent to the remote task.
+m - indicates 100 iterations of 
+message_queue_send and message_queue_receive.
+p - indicates 100 iterations of 
+partition_get_buffer and partition_return_buffer.
+s - indicates 100 iterations of 
+semaphore_obtain and semaphore_release.
Index: c/src/ada-tests/samples/base_mp/node1/base_mp.scn
===================================================================
--- c/src/ada-tests/samples/base_mp/node1/base_mp.scn	(revision 9917d5da0143ed183c9027a509ec85eab4b2d0e3)
+++ c/src/ada-tests/samples/base_mp/node1/base_mp.scn	(revision 9917d5da0143ed183c9027a509ec85eab4b2d0e3)
@@ -0,0 +1,5 @@
+*** SAMPLE MULTIPROCESSOR APPLICATION ***
+Creating and starting an application task
+This task was invoked with the node argument (1)
+This task has the id of 0x10002
+*** END OF SAMPLE MULTIPROCESSOR APPLICATION ***
Index: c/src/ada-tests/samples/base_mp/node2/base_mp.scn
===================================================================
--- c/src/ada-tests/samples/base_mp/node2/base_mp.scn	(revision 9917d5da0143ed183c9027a509ec85eab4b2d0e3)
+++ c/src/ada-tests/samples/base_mp/node2/base_mp.scn	(revision 9917d5da0143ed183c9027a509ec85eab4b2d0e3)
@@ -0,0 +1,5 @@
+*** SAMPLE MULTIPROCESSOR APPLICATION ***
+Creating and starting an application task
+This task was invoked with the node argument (2)
+This task has the id of 0x20002
+*** END OF SAMPLE MULTIPROCESSOR APPLICATION ***
Index: c/src/ada-tests/samples/base_sp/base_sp.scn
===================================================================
--- c/src/ada-tests/samples/base_sp/base_sp.scn	(revision 9917d5da0143ed183c9027a509ec85eab4b2d0e3)
+++ c/src/ada-tests/samples/base_sp/base_sp.scn	(revision 9917d5da0143ed183c9027a509ec85eab4b2d0e3)
@@ -0,0 +1,4 @@
+*** SAMPLE SINGLE PROCESSOR APPLICATION ***
+Creating and starting an application task
+Application task was invoked with argument (0) and has id of 0x10002
+*** END OF SAMPLE SINGLE PROCESSOR APPLICATION ***
Index: c/src/ada-tests/samples/hello/hello.scn
===================================================================
--- c/src/ada-tests/samples/hello/hello.scn	(revision 9917d5da0143ed183c9027a509ec85eab4b2d0e3)
+++ c/src/ada-tests/samples/hello/hello.scn	(revision 9917d5da0143ed183c9027a509ec85eab4b2d0e3)
@@ -0,0 +1,3 @@
+*** HELLO WORLD TEST ***
+Hello World
+*** END OF HELLO WORLD TEST ***
Index: c/src/ada-tests/samples/ticker/ticker.scn
===================================================================
--- c/src/ada-tests/samples/ticker/ticker.scn	(revision 9917d5da0143ed183c9027a509ec85eab4b2d0e3)
+++ c/src/ada-tests/samples/ticker/ticker.scn	(revision 9917d5da0143ed183c9027a509ec85eab4b2d0e3)
@@ -0,0 +1,16 @@
+*** CLOCK TICK TEST ***
+TA1 - clock_get -  9: 0: 0   12/31/1988
+TA2 - clock_get -  9: 0: 0   12/31/1988
+TA3 - clock_get -  9: 0: 0   12/31/1988
+TA1 - clock_get -  9: 0: 5   12/31/1988
+TA2 - clock_get -  9: 0:10   12/31/1988
+TA1 - clock_get -  9: 0:10   12/31/1988
+TA1 - clock_get -  9: 0:15   12/31/1988
+TA3 - clock_get -  9: 0:15   12/31/1988
+TA2 - clock_get -  9: 0:20   12/31/1988
+TA1 - clock_get -  9: 0:20   12/31/1988
+TA1 - clock_get -  9: 0:25   12/31/1988
+TA2 - clock_get -  9: 0:30   12/31/1988
+TA1 - clock_get -  9: 0:30   12/31/1988
+TA3 - clock_get -  9: 0:30   12/31/1988
+*** END OF CLOCK TICK TEST ***
Index: c/src/ada-tests/sptests/sp01/sp01.scn
===================================================================
--- c/src/ada-tests/sptests/sp01/sp01.scn	(revision 9917d5da0143ed183c9027a509ec85eab4b2d0e3)
+++ c/src/ada-tests/sptests/sp01/sp01.scn	(revision 9917d5da0143ed183c9027a509ec85eab4b2d0e3)
@@ -0,0 +1,16 @@
+*** TEST 1 ***
+TA1 - clock_get -  9: 0: 0   12/31/1988
+TA2 - clock_get -  9: 0: 0   12/31/1988
+TA3 - clock_get -  9: 0: 0   12/31/1988
+TA1 - clock_get -  9: 0: 5   12/31/1988
+TA2 - clock_get -  9: 0:10   12/31/1988
+TA1 - clock_get -  9: 0:10   12/31/1988
+TA3 - clock_get -  9: 0:15   12/31/1988
+TA1 - clock_get -  9: 0:15   12/31/1988
+TA2 - clock_get -  9: 0:20   12/31/1988
+TA1 - clock_get -  9: 0:20   12/31/1988
+TA1 - clock_get -  9: 0:25   12/31/1988
+TA3 - clock_get -  9: 0:30   12/31/1988
+TA1 - clock_get -  9: 0:30   12/31/1988
+TA2 - clock_get -  9: 0:30   12/31/1988
+*** END OF TEST 1 ***
Index: c/src/ada-tests/sptests/sp02/sp02.scn
===================================================================
--- c/src/ada-tests/sptests/sp02/sp02.scn	(revision 9917d5da0143ed183c9027a509ec85eab4b2d0e3)
+++ c/src/ada-tests/sptests/sp02/sp02.scn	(revision 9917d5da0143ed183c9027a509ec85eab4b2d0e3)
@@ -0,0 +1,15 @@
+*** TEST 2 ***
+INIT - task_wake_after - yielding processor
+PREEMPT - task_delete - deleting self
+INIT - suspending TA2 while middle task on a ready chain
+TA1 - task_wake_after - sleep 1 second
+TA2 - task_wake_after - sleep 1 minute
+TA3 - task_wake_after - sleep 5 seconds
+TA1 - task_ident - tid of TA2 (16#10007#)
+TA1 - task_ident - tid of TA3 (16#10008#)
+TA1 - task_set_priority - set TA3's priority to 2
+TA1 - task_suspend - suspend TA2
+TA1 - task_delete - delete TA2
+TA1 - task_wake_after - sleep for 5 seconds
+TA3 - task_delete - delete self
+*** END OF TEST 2 ***
Index: c/src/ada-tests/sptests/sp03/sp03.scn
===================================================================
--- c/src/ada-tests/sptests/sp03/sp03.scn	(revision 9917d5da0143ed183c9027a509ec85eab4b2d0e3)
+++ c/src/ada-tests/sptests/sp03/sp03.scn	(revision 9917d5da0143ed183c9027a509ec85eab4b2d0e3)
@@ -0,0 +1,26 @@
+*** TEST 3 ***
+TA1 sets clock: 9:15: 0   12/31/1988
+TA1 going to sleep:  9:15: 0   12/31/1988
+TA2   9:15: 1   12/31/1988
+TA2   9:15: 2   12/31/1988
+TA2   9:15: 3   12/31/1988
+TA2   9:15: 4   12/31/1988
+TA1 awakened:  9:15: 5   12/31/1988
+TA1 going to sleep:  9:15: 5   12/31/1988
+TA2   9:15: 5   12/31/1988
+TA2   9:15: 6   12/31/1988
+TA2   9:15: 7   12/31/1988
+TA2   9:15: 8   12/31/1988
+TA2   9:15: 9   12/31/1988
+TA1 awakened:  9:15:10   12/31/1988
+TA1 going to sleep:  9:15:10   12/31/1988
+TA2   9:15:10   12/31/1988
+TA2   9:15:11   12/31/1988
+TA2   9:15:12   12/31/1988
+TA2   9:15:13   12/31/1988
+TA2   9:15:14   12/31/1988
+TA1 awakened:  9:15:15   12/31/1988
+TA1 going to sleep:  9:15:15   12/31/1988
+TA2    9:15:15   12/31/1988
+TA2    9:15:16   12/31/1988
+*** END OF TEST 3 ***
Index: c/src/ada-tests/sptests/sp04/sp04.scn
===================================================================
--- c/src/ada-tests/sptests/sp04/sp04.scn	(revision 9917d5da0143ed183c9027a509ec85eab4b2d0e3)
+++ c/src/ada-tests/sptests/sp04/sp04.scn	(revision 9917d5da0143ed183c9027a509ec85eab4b2d0e3)
@@ -0,0 +1,23 @@
+*** TEST 4 ***
+TA1 -  9:15: 0   12/31/1988
+TA1 - task_suspend - on Task 2
+TA1 - task_suspend - on Task 3
+TA1 - killing time
+TA1 - task_resume - on Task 2
+TA1 - task_resume - on Task 3
+TA2 -  9:15: 4   12/31/1988
+TA3 -  9:15: 5   12/31/1988
+TA1 -  9:15: 6   12/31/1988
+TA2 -  9:15: 7   12/31/1988
+TA3 -  9:15: 8   12/31/1988
+TA1 -  9:15: 9   12/31/1988
+TA1 - task_mode - change mode to NO PREEMPT
+TA1 -  9:15:10   12/31/1988
+TA1 -  9:15:11   12/31/1988
+TA1 -  9:15:12   12/31/1988
+TA1 -  9:15:13   12/31/1988
+TA1 -  9:15:14   12/31/1988
+TA1 -  9:15:15   12/31/1988
+TA1 - task_mode - change mode to PREEMPT
+TA2 -  9:15:16   12/31/1988
+*** END OF TEST 4 ***
Index: c/src/ada-tests/sptests/sp05/sp05.scn
===================================================================
--- c/src/ada-tests/sptests/sp05/sp05.scn	(revision 9917d5da0143ed183c9027a509ec85eab4b2d0e3)
+++ c/src/ada-tests/sptests/sp05/sp05.scn	(revision 9917d5da0143ed183c9027a509ec85eab4b2d0e3)
@@ -0,0 +1,48 @@
+*** TEST 5 ***
+TA1 - task_wake_after - sleep 5 seconds
+TA2 - task_suspend - suspend self
+TA3 - task_suspend - suspend self
+TA1 - task_suspend - suspend TA3
+TA1 - task_resume  - resume TA2
+TA1 - task_wake_after - sleep 5 seconds
+TA2 - task_wake_after - sleep 1 second
+TA2 - task_wake_after - sleep 1 second
+TA2 - task_wake_after - sleep 1 second
+TA2 - task_wake_after - sleep 1 second
+TA2 - task_wake_after - sleep 1 second
+TA1 - task_suspend - suspend TA2
+TA1 - task_resume - resume TA3
+TA1 - task_wake_after - sleep 5 seconds
+TA3 - task_wake_after - sleep 1 second
+TA3 - task_wake_after - sleep 1 second
+TA3 - task_wake_after - sleep 1 second
+TA3 - task_wake_after - sleep 1 second
+TA3 - task_wake_after - sleep 1 second
+TA1 - task_suspend - suspend TA3
+TA1 - task_resume  - resume TA2
+TA1 - task_wake_after - sleep 5 seconds
+TA2 - task_wake_after - sleep 1 second
+TA2 - task_wake_after - sleep 1 second
+TA2 - task_wake_after - sleep 1 second
+TA2 - task_wake_after - sleep 1 second
+TA2 - task_wake_after - sleep 1 second
+TA1 - task_suspend - suspend TA2
+TA1 - task_resume - resume TA3
+TA1 - task_wake_after - sleep 5 seconds
+TA3 - task_wake_after - sleep 1 second
+TA3 - task_wake_after - sleep 1 second
+TA3 - task_wake_after - sleep 1 second
+TA3 - task_wake_after - sleep 1 second
+TA3 - task_wake_after - sleep 1 second
+TA1 - task_suspend - suspend TA3
+TA1 - task_resume - resume TA2
+TA1 - task_wake_after - sleep 5 seconds
+TA2 - task_wake_after - sleep 1 second
+TA2 - task_wake_after - sleep 1 second
+TA2 - task_wake_after - sleep 1 second
+TA2 - task_wake_after - sleep 1 second
+TA2 - task_wake_after - sleep 1 second
+TA1 - task_suspend - suspend TA2
+TA1 - task_resume - resume TA3
+*** END OF TEST 5 ***
+
Index: c/src/ada-tests/sptests/sp06/sp06.scn
===================================================================
--- c/src/ada-tests/sptests/sp06/sp06.scn	(revision 9917d5da0143ed183c9027a509ec85eab4b2d0e3)
+++ c/src/ada-tests/sptests/sp06/sp06.scn	(revision 9917d5da0143ed183c9027a509ec85eab4b2d0e3)
@@ -0,0 +1,38 @@
+*** TEST 6 ***
+TA1 - is beginning to run
+TA1 - restarting TA3
+TA2 - is beginning to run
+TA2 - task_wake_after - sleep 1/2 second
+TA2 - task_wake_after - sleep 1/2 second
+TA1 - task_restart - restarting TA2
+TA2 - is beginning to run
+TA2 - task_wake_after - sleep 1/2 second
+TA2 - task_wake_after - sleep 1/2 second
+TA1 - task_restart - restarting self
+TA2 - task_wake_after - sleep 1/2 second
+TA1 - is beginning to run
+TA2 - task_wake_after - sleep 1/2 second
+TA1 - task_restart - restarting TA2
+TA2 - is beginning to run
+TA2 - task_wake_after - sleep 1/2 second
+TA2 - task_wake_after - sleep 1/2 second
+TA1 - task_restart - restarting self
+TA2 - task_wake_after - sleep 1/2 second
+TA1 - is beginning to run
+TA2 - task_wake_after - sleep 1/2 second
+TA1 - task_restart - restarting TA2
+TA2 - is beginning to run
+TA2 - task_wake_after - sleep 1/2 second
+TA2 - task_wake_after - sleep 1/2 second
+TA1 - task_restart - restarting self
+TA2 - task_wake_after - sleep 1/2 second
+TA1 - is beginning to run
+TA2 - task_wake_after - sleep 1/2 second
+TA1 - task_restart - restarting TA2
+TA2 - is beginning to run
+TA2 - task_wake_after - sleep 1/2 second
+TA2 - task_wake_after - sleep 1/2 second
+TA1 - task_restart - restarting self
+TA2 - task_wake_after - sleep 1/2 second
+TA1 - is beginning to run
+*** END OF TEST 6 ***
Index: c/src/ada-tests/sptests/sp07/sp07.scn
===================================================================
--- c/src/ada-tests/sptests/sp07/sp07.scn	(revision 9917d5da0143ed183c9027a509ec85eab4b2d0e3)
+++ c/src/ada-tests/sptests/sp07/sp07.scn	(revision 9917d5da0143ed183c9027a509ec85eab4b2d0e3)
@@ -0,0 +1,32 @@
+*** TEST 7 ***
+TASKS_CREATE - TA1 - created.
+TASKS_CREATE - TA2 - created.
+TASKS_CREATE - TA3 - created.
+TASKS_CREATE - TA4 - created.
+TASKS_START - TA1 - started.
+TASKS_START - TA2 - started.
+TASKS_START - TA3 - started.
+TASKS_START - TA4 - started.
+TASKS_RESTART - TA3 - restarted.
+INIT - task_set_note - set TA1's NOTEPAD_8 to TA1's initial priority:  4
+INIT - task_set_note - set TA2's NOTEPAD_8 to TA2's initial priority:  4
+<pause>
+TA1 - task_set_priority - get initial priority of self:  4
+TA1 - task_get_note - get NOTEPAD_8 - current priority:  4
+TA1 - task_set_note - set TA2's NOTEPAD_8:  3
+TA1 - task_set_priority - set TA2's priority:  3
+TA2 - task_get_note - get NOTEPAD_8 - current priority:  3
+TA2 - task_set_note - set TA1's NOTEPAD_8:  2
+TA2 - task_set_priority - set TA1's priority:  2
+TA1 - task_get_note - get NOTEPAD_8 - current priority:  2
+TA1 - task_set_note - set TA2's NOTEPAD_8:  1
+TA1 - task_set_priority - set TA2's priority:  1
+TA2 - task_get_note - get NOTEPAD_8 - current priority:  1
+TA2 - task_suspend - suspend TA1
+TA2 - task_set_priority - set priority of TA1 ( blocked )
+TASKS_DELETE - TA2 deleting TA1
+TASKS_DELETE - TA2 deleting TA3
+TASKS_DELETE - TA2 deleting TA2
+TA4 - exitting task
+TASK_EXITTED - user extension invoked correctly
+*** END OF TEST 7 ***
Index: c/src/ada-tests/sptests/sp08/sp08.scn
===================================================================
--- c/src/ada-tests/sptests/sp08/sp08.scn	(revision 9917d5da0143ed183c9027a509ec85eab4b2d0e3)
+++ c/src/ada-tests/sptests/sp08/sp08.scn	(revision 9917d5da0143ed183c9027a509ec85eab4b2d0e3)
@@ -0,0 +1,20 @@
+*** TEST 8 ***
+TA1 - task_mode - ASR                  - previous mode:     16#0#
+TA1 - task_mode - NO_ASR               - previous mode:     16#0#
+TA1 - task_mode - NO_ASR               - previous mode:   16#400#
+TA1 - task_mode - ASR                  - previous mode:   16#400#
+TA1 - task_mode - NO_TIMESLICE         - previous mode:     16#0#
+TA1 - task_mode - TIMESLICE            - previous mode:     16#0#
+TA1 - task_mode - TIMESLICE            - previous mode:   16#200#
+TA1 - task_mode - NO_TIMESLICE         - previous mode:   16#200#
+TA1 - task_mode - PREEMPT              - previous mode:     16#0#
+TA1 - task_mode - NO_PREEMPT           - previous mode:     16#0#
+TA1 - task_mode - NO_PREEMPT           - previous mode:   16#100#
+TA1 - task_mode - PREEMPT              - previous mode:   16#100#
+TA1 - task_mode - INTERRUPT_LEVEL( 3 ) - previous mode:     16#0#
+TA1 - task_mode - INTERRUPT_LEVEL( 5 ) - previous mode:     16#3#
+TA1 - task_mode - set all modes        - previous mode:     16#5#
+TA1 - task_mode - set all modes        - previous mode:   16#703#
+TA1 - task_mode - clear all modes      - previous mode:   16#703#
+TA1 - task_mode - get current mode     - previous mode:     16#0#
+*** END OF TEST 8 ***
Index: c/src/ada-tests/sptests/sp09/sp09.scn
===================================================================
--- c/src/ada-tests/sptests/sp09/sp09.scn	(revision 9917d5da0143ed183c9027a509ec85eab4b2d0e3)
+++ c/src/ada-tests/sptests/sp09/sp09.scn	(revision 9917d5da0143ed183c9027a509ec85eab4b2d0e3)
@@ -0,0 +1,249 @@
+*** TEST 9 ***
+INIT - task_create - INVALID_SIZE -- NOT CHECKED
+INIT - task_create - INVALID_PRIORITY
+INIT - task_restart - INCORRECT_STATE
+TA1 - task_delete - INVALID_ID
+TA1 - task_get_note - INVALID_NUMBER -- constraint error
+TA1 - task_get_note - INVALID_ID
+TA1 - task_ident - current task SUCCESSFUL
+TA1 - task_ident - global INVALID_NAME
+TA1 - task_ident - local INVALID_NAME
+TA1 - task_ident - INVALID_NODE
+TA1 - task_restart - INVALID_ID
+TA1 - task_resume - INVALID_ID
+TA1 - task_resume - INCORRECT_STATE
+TA1 - task_set_priority - INVALID_PRIORITY -- constraint error
+TA1 - task_set_priority - INVALID_ID
+TA1 - task_set_note - INVALID_NUMBER -- constraint error 
+TA1 - task_set_note - INVALID_ID
+TA1 - task_start - INVALID_ID
+TA1 - task_start - INCORRECT_STATE
+TA1 - task_suspend - INVALID_ID
+<pause - screen 2>
+TA1 - clock_get - NOT_DEFINED
+TA1 - task_wake_when - NOT_DEFINED
+TA1 - timer_fire_when - NOT_DEFINED
+TA1 - clock_set -  8:30:45    2/ 5/1987 - INVALID_CLOCK
+TA1 - clock_set -  8:30:45   15/ 5/1988 - INVALID_CLOCK
+TA1 - clock_set -  8:30:45    2/32/1988 - INVALID_CLOCK
+TA1 - clock_set - 25:30:45    2/ 5/1988 - INVALID_CLOCK
+TA1 - clock_set -  8:61:45    2/ 5/1988 - INVALID_CLOCK
+TA1 - clock_set -  8:30:61    2/ 5/1988 - INVALID_CLOCK
+TA1 - clock_set -  8:30:45    2/ 5/1988 - INVALID_CLOCK
+TA1 - clock_set -  8:30:45    2/ 5/1988 - SUCCESSFUL
+TA1 - task_wake_when - TICK INVALID - sleep about 3 seconds
+TA1 - task_wake_when - TICK INVALID - woke up SUCCESSFUL
+TA1 - task_wake_when -  8:30:48    2/ 5/1961 - INVALID_CLOCK
+TA1 - task_wake_when - 25:30:48    2/ 5/1988 - INVALID_CLOCK
+TA1 - current time -  8:30:48    2/ 5/1988
+TA1 - task_wake_when -  8:30:48    1/ 5/1988 - INVALID_CLOCK
+<pause - screen 3>
+TA1 - task_create - INVALID_NAME
+TA1 - task_create - stack size - UNSATISFIED
+TA1 - task_create - TA2 created - SUCCESSFUL
+TA1 - task_suspend - suspend TA2 - SUCCESSFUL
+TA1 - task_suspend - suspend TA2 - ALREADY_SUSPENDED
+TA1 - task_resume - TA2 resumed - SUCCESSFUL
+TA1 - task_create - TA3 created - SUCCESSFUL
+TA1 - task_create - 4 created - SUCCESSFUL
+TA1 - task_create - 5 created - SUCCESSFUL
+TA1 - task_create - 6 created - SUCCESSFUL
+TA1 - task_create - 7 created - SUCCESSFUL
+TA1 - task_create - 8 created - SUCCESSFUL
+TA1 - task_create - 9 created - SUCCESSFUL
+TA1 - task_create - 10 created - SUCCESSFUL
+TA1 - task_create - 11 - TOO_MANY
+TA1 - task_create - MP_NOT_CONFIGURED
+<pause - screen 4>
+TA1 - event_receive - UNSATISFIED ( all conditions )
+TA1 - event_receive - UNSATISFIED ( any conditions )
+TA1 - event_receive - timeout in 3 seconds
+TA1 - event_receive - woke with TIMEOUT
+TA1 - event_send - INVALID_ID
+TA1 - task_wake_after - sleep 1 second - SUCCESSFUL
+TA1 - clock_set -  8:30:45    2/ 5/1988 - SUCCESSFUL
+<pause - screen 5>
+TA1 - semaphore_create - INVALID_NAME
+TA1 - semaphore_create - 1 - SUCCESSFUL
+TA1 - semaphore_create - 2 - SUCCESSFUL
+TA1 - semaphore_create - 3 - TOO_MANY
+TA1 - semaphore_create - NOT_DEFINED
+TA1 - semaphore_create - NOT_DEFINED
+TA1 - semaphore_create - INVALID_NUMBER
+TA1 - semaphore_create - MP_NOT_CONFIGURED
+TA1 - semaphore_delete - unknown INVALID_ID
+TA1 - semaphore_delete - local INVALID_ID
+TA1 - semaphore_ident - global INVALID_NAME
+TA1 - semaphore_ident - local INVALID_NAME
+<pause - screen 6>
+TA1 - semaphore_obtain - INVALID_ID
+TA1 - semaphore_obtain - got sem 1 - SUCCESSFUL
+TA1 - semaphore_obtain - UNSATISFIED
+TA1 - semaphore_obtain - timeout in 3 seconds
+TA1 - semaphore_obtain - woke with TIMEOUT
+TA1 - semaphore_release - NOT_OWNER_OF_RESOURCE
+TA1 - semaphore_release - INVALID_ID
+TA1 - task_start - start TA2 - SUCCESSFUL
+TA1 - task_wake_after - yield processor - SUCCESSFUL
+TA2 - semaphore_obtain - sem 1 - WAIT FOREVER
+TA1 - semaphore_delete - delete sem 1 - SUCCESSFUL
+TA1 - semaphore_obtain - binary semaphore
+TA1 - semaphore_delete - delete sem 2 - RESOURCE_IN_USE
+TA1 - task_wake_after - yield processor - SUCCESSFUL
+TA2 - semaphore_obtain - woke up with OBJECT_WAS_DELETED
+TA2 - task_delete - delete self - SUCCESSFUL
+TA1 - task_delete TA2 - already deleted INVALID_ID
+<pause - screen 7>
+TA1 - message_queue_broadcast - INVALID_ID
+TA1 - message_queue_create - Q 1 - INVALID_NAME
+TA1 - message_queue_create - Q 1 - MP_NOT_CONFIGURED
+TA1 - message_queue_create - Q 1 - LIMIT - SUCCESSFUL
+TA1 - message_queue_create - Q 2 - TOO_MANY
+TA1 - message_queue_delete - unknown INVALID_ID
+TA1 - message_queue_delete - local INVALID_ID
+TA1 - message_queue_ident - INVALID_NAME
+TA1 - message_queue_flush - INVALID_ID
+TA1 - message_queue_receive - INVALID_ID
+TA1 - message_queue_receive - Q 1 - UNSATISFIED
+TA1 - message_queue_receive - Q 1 - timeout in 3 seconds
+TA1 - message_queue_receive - Q 1 - woke up with TIMEOUT
+TA1 - message_queue_send - INVALID_ID
+TA1 - message_queue_send - BUFFER 1 TO Q 1 - SUCCESSFUL
+TA1 - message_queue_send - BUFFER 2 TO Q 1 - SUCCESSFUL
+TA1 - message_queue_send - BUFFER 3 TO Q 1 - TOO_MANY
+<pause - screen 8>
+TA1 - message_queue_delete - Q 1 - SUCCESSFUL
+TA1 - message_queue_create - Q 1 - LIMIT - SUCCESSFUL
+TA1 - message_queue_send - BUFFER 1 TO Q 1 - SUCCESSFUL
+TA1 - message_queue_send - BUFFER 2 TO Q 1 - SUCCESSFUL
+TA1 - message_queue_send - BUFFER 3 TO Q 1 - TOO_MANY
+TA1 - message_queue_delete - Q 1 - SUCCESSFUL
+TA1 - message_queue_create - Q 1 - LIMIT - SUCCESSFUL
+TA1 - message_queue_send - BUFFER 1 TO Q 1 - SUCCESSFUL
+TA1 - message_queue_send - BUFFER 2 TO Q 1 - SUCCESSFUL
+TA1 - message_queue_send - BUFFER 3 TO Q 1 - UNSATISFIED
+TA1 - message_queue_delete - Q 1 - SUCCESSFUL
+TA1 - message_queue_create - Q 1 - LIMIT - SUCCESSFUL
+TA1 - task_start - start TA3 - SUCCESSFUL
+TA1 - task_wake_after - yield processor - SUCCESSFUL
+TA3 - message_queue_receive - Q 1 - WAIT FOREVER
+TA1 - message_queue_delete - delete Q 1 - SUCCESSFUL
+TA1 - task_wake_after - yield processor - SUCCESSFUL
+TA3 - message_queue_receive - woke up with OBJECT_WAS_DELETED
+TA3 - task_delete - delete self - SUCCESSFUL
+<pause - screen 9>
+TA1 - interrupt_catch - INVALID_NUMBER -- constraint error
+TA1 - interrupt_catch - INVALID_ADDRESS
+TA1 - signal_send - INVALID_ID
+TA1 - signal_send - NOT_DEFINED
+TA1 - port_create - INVALID_NAME
+TA1 - port_create - INVALID_ADDRESS
+TA1 - port_create - TOO_MANY
+TA1 - port_delete - INVALID_ID
+TA1 - port_ident - INVALID_NAME
+TA1 - port_internal_to_external - INVALID_ID
+TA1 - port_external_to_internal - INVALID_ID
+<pause - screen 10>
+TA1 - rate_monotonic_create - INVALID_NAME
+TA1 - rate_monotonic_create - SUCCESSFUL
+TA1 - rate_monotonic_create - TOO_MANY
+TA1 - rate_monotonic_ident - INVALID_NAME
+TA1 - rate_monotonic_period - unknown INVALID_ID
+TA1 - rate_monotonic_period - local INVALID_ID
+TA1 - rate_monotonic_period( STATUS ) - NOT_DEFINED
+TA1 - rate_monotonic_period - 100 ticks - SUCCESSFUL
+TA1 - rate_monotonic_period( STATUS ) - SUCCESSFUL
+TA1 - rate_monotonic_period( STATUS ) - TIMEOUT
+TA1 - rate_monotonic_cancel - unknown INVALID_ID
+TA1 - rate_monotonic_cancel - local INVALID_ID
+TA1 - rate_monotonic_cancel - SUCCESSFUL
+TA1 - rate_monotonic_period - 5 ticks - TIMEOUT
+TA1 - task_wake_after - yielding to TA4
+TA4 - rate_monotonic_cancel - NOT_OWNER_OF_RESOURCE
+TA4 - rate_monotonic_period - NOT_OWNER_OF_RESOURCE
+TA4 - task_delete - delete self - SUCCESSFUL
+TA1 - rate_monotonic_delete - unknown INVALID_ID
+TA1 - rate_monotonic_delete - local INVALID_ID
+TA1 - rate_monotonic_delete - SUCCESSFUL
+<pause - screen 11>
+TA1 - partition_create - INVALID_NAME
+TA1 - partition_create - length - INVALID_SIZE
+TA1 - partition_create - buffer size - INVALID_SIZE
+TA1 - partition_create - length < buffer size - INVALID_SIZE
+TA1 - partition_create - MP_NOT_CONFIGURED
+TA1 - partition_create - INVALID_ADDRESS
+TA1 - partition_create - INVALID_SIZE
+TA1 - partition_delete - unknown INVALID_ID
+TA1 - partition_delete - local INVALID_ID
+TA1 - partition_get_buffer - INVALID_ID
+TA1 - partition_ident - INVALID_NAME
+TA1 - partition_return_buffer - INVALID_ID
+TA1 - partition_create - SUCCESSFUL
+TA1 - partition_create - TOO_MANY
+TA1 - partition_get_buffer - SUCCESSFUL
+TA1 - partition_get_buffer - SUCCESSFUL
+TA1 - partition_get_buffer - UNSATISFIED
+TA1 - partition_delete - RESOURCE_IN_USE
+TA1 - partition_return_buffer - INVALID_ADDRESS - out of range
+TA1 - partition_return_buffer - INVALID_ADDRESS - not on boundary
+<pause - screen 12>
+TA1 - region_create - INVALID_NAME
+TA1 - region_create - INVALID_ADDRESS
+TA1 - region_create - INVALID_SIZE
+TA1 - region_create - SUCCESSFUL
+TA1 - region_create - TOO_MANY
+TA1 - region_delete - unknown INVALID_ID
+TA1 - region_delete - local INVALID_ID
+TA1 - region_ident - INVALID_NAME
+TA1 - region_get_segment - INVALID_ID
+TA1 - region_get_segment - INVALID_SIZE
+TA1 - region_get_segment - SUCCESSFUL
+TA1 - region_get_segment - UNSATISFIED
+TA1 - region_get_segment - timeout in 3 seconds
+TA1 - region_get_segment - woke up with TIMEOUT
+TA1 - region_delete - RESOURCE_IN_USE
+TA1 - region_return_segment - INVALID_ID
+TA1 - region_return_segment - INVALID_ADDRESS
+TA1 - debug_disable - DEBUG_REGION
+TA1 - region_return_segment - INVALID_ADDRESS
+TA1 - region_return_segment - INVALID_ADDRESS
+TA1 - debug_enable - DEBUG_REGION
+TA1 - region_extend - INVALID_ID
+TA1 - region_extend - within heap - INVALID_ADDRESS
+TA1 - region_extend - non-contiguous lower - NOT_IMPLEMENTED
+TA1 - region_extend - contiguous lower - NOT_IMPLEMENTED
+TA1 - region_extend - non-contiguous higher - NOT_IMPLEMENTED
+<pause - screen 13>
+TA1 - io_close - INVALID_NUMBER
+TA1 - io_control - INVALID_NUMBER
+TA1 - io_initialize - INVALID_NUMBER
+TA1 - io_open - INVALID_NUMBER
+TA1 - io_read - INVALID_NUMBER
+TA1 - io_write - INVALID_NUMBER
+TA1 - clock_set - 23:59:59   12/31/2000 - SUCCESSFUL
+TA1 - clock_get -  0: 0: 0    1/ 1/2001 - SUCCESSFUL
+TA1 - clock_set - 23:59:59   12/31/1999 - SUCCESSFUL
+TA1 - clock_get -  0: 0: 0    1/ 1/2000 - SUCCESSFUL
+TA1 - clock_set - 23:59:59   12/31/2100 - SUCCESSFUL
+TA1 - clock_get -  0: 0: 0    1/ 1/2101 - SUCCESSFUL
+TA1 - clock_set - 23:59:59   12/31/2099 - SUCCESSFUL
+TA1 - clock_get -  0: 0: 0    1/ 1/2100 - SUCCESSFUL
+TA1 - clock_set - 23:59:59   12/31/1991 - SUCCESSFUL
+TA1 - clock_get -  0: 0: 0    1/ 1/1992 - SUCCESSFUL
+<pause - screen 14>
+TA1 - timer_create - INVALID_NAME
+TA1 - timer_create - 1 - SUCCESSFUL
+TA1 - timer_create - 2 - TOO_MANY
+TA1 - timer_delete - local INVALID_ID
+TA1 - timer_delete - global INVALID_ID
+TA1 - timer_ident - INVALID_NAME
+TA1 - timer_cancel - INVALID_ID
+TA1 - timer_reset - INVALID_ID
+TA1 - timer_reset - NOT_DEFINED
+TA1 - timer_fire_after - INVALID_ID
+TA1 - timer_fire_when - INVALID_ID
+TA1 - timer_fire_after - INVALID_NUMBER
+TA1 - timer_fire_when -  8:30:45  2/ 5/1987 - INVALID_CLOCK
+TA1 - clock_get       -  0: 0: 0  1/ 1/1992
+TA1 - timer_fire_when -  8:30:45  2/ 5/1990 - before INVALID_CLOCK
+*** END OF TEST 9 ***
Index: c/src/ada-tests/sptests/sp11/sp11.scn
===================================================================
--- c/src/ada-tests/sptests/sp11/sp11.scn	(revision 9917d5da0143ed183c9027a509ec85eab4b2d0e3)
+++ c/src/ada-tests/sptests/sp11/sp11.scn	(revision 9917d5da0143ed183c9027a509ec85eab4b2d0e3)
@@ -0,0 +1,74 @@
+*** TEST 11 ***
+TA1 - event_send - send EVENT_16 to TA2
+TA1 - event_receive - waiting forever on EVENT_14 and EVENT_15
+TA2 - event_receive - waiting forever on EVENT_16
+TA2 - EVENT_16 received - eventout => 16#10000#
+TA2 - event_send - send EVENT_14 and EVENT_15 to TA1
+TA2 - event_receive - waiting forever on EVENT_17 or EVENT_18 - EVENT_ANY
+TA1 - EVENT_14 and EVENT_15 received - eventout => 16#C000#
+TA1 - event_send - send EVENT_18 to TA2
+TA1 - event_receive - waiting with 10 second timeout on EVENT_14
+TA2 - EVENT_17 or EVENT_18 received - eventout => 16#40000#
+TA2 - event_send - send EVENT_14 to TA1
+TA2 - clock_set -  8:15: 0    2/12/1988
+TA2 - event_send - sending EVENT_10 to self after 5 seconds
+TA2 - event_receive - waiting forever on EVENT_10
+TA1 - EVENT_14 received - eventout => 16#4000#
+TA1 - event_send - send EVENT_19 to TA2
+TA1 - clock_get -  8:15: 0    2/12/1988
+<pause>
+TA1 - event_send - send EVENT_18 to self after 5 seconds
+TA1 - event_receive - waiting forever on EVENT_18
+TA2 - EVENT_10 received - eventout => 16#400#
+TA2 - clock_get -  8:15: 5   02/12/1988
+TA2 - event_receive - PENDING_EVENTS
+TA2 - eventout => 16#80000#
+TA2 - event_receive - EVENT_19 - NO_WAIT
+TA2 - EVENT_19 received - eventout => 16#80000#
+TA2 - task_delete - deletes self
+TA1 - EVENT_18 received - eventout => 16#40000#
+TA1 - clock_get -  8:15: 5    2/12/1988
+TA1 - event_send - send EVENT_3 to self
+TA1 - event_receive - EVENT_3 or EVENT_22 - NO_WAIT and EVENT_ANY
+TA1 - EVENT_3 received - eventout => 16#8#
+TA1 - event_send - send EVENT_4 to self
+TA1 - event_receive - waiting forever on EVENT_4 or EVENT_5 - EVENT_ANY
+TA1 - EVENT_4 received - eventout => 16#10#
+<pause>
+TA1 - event_send - send EVENT_18 to self after 5 seconds
+TA1 - timer_cancel - cancelling timer for event EVENT_18
+TA1 - event_send - send EVENT_8 to self after 60 seconds
+TA1 - event_send - send EVENT_9 to self after 60 seconds
+TA1 - event_send - send EVENT_10 to self after 60 seconds
+TA1 - timer_cancel - cancelling timer for event EVENT_8
+TA1 - clock_set -  8:15: 0    2/12/1988
+TA1 - event_send - send EVENT_1 every second
+TA1 - EVENT_1 received - eventout => 16#2# - at  8:15: 1    2/12/1988
+TA1 - EVENT_1 received - eventout => 16#2# - at  8:15: 2    2/12/1988
+TA1 - EVENT_1 received - eventout => 16#2# - at  8:15: 3    2/12/1988
+TA1 - timer_cancel - cancelling timer for event EVENT_1
+<pause>
+TA1 - event_send - send EVENT_11 to self in 1 day
+TA1 - event_send - send EVENT_11 to self in 1 day
+TA1 - event_send - send EVENT_11 to self in 2 days
+TA1 - timer_cancel - cancelling EVENT_11 to self in 1 day
+TA1 - timer_cancel - cancelling EVENT_11 to self in 2 days
+TA1 - event_send - resending EVENT_11 to self in 2 days
+TA1 - clock_set -  8:15: 3    2/15/1988
+TA1 - event_receive - waiting forever on EVENT_11
+TA1 - EVENT_11 received - eventout => 16#800#
+<pause>
+TA1 - event_send/event_receive combination
+TA1 - clock_set -  8:15: 0    2/12/1988
+TA1 - event_receive all outstanding events
+TA1 - event_send - send EVENT_10 to self in 1 day
+TA1 - event_send - send EVENT_11 to self in 2 days
+TA1 - clock_set -  7:15: 0  2/12/1988
+TA1 - set time backwards
+TA1 - no events received
+TA1 - clock_set -  7:15: 0  2/14/1988
+TA1 - set time forwards (leave a timer)
+TA1 - EVENT_10 received
+TA1 - event_send - send EVENT_11 to self in 100 ticks
+TA1 - event_send - send EVENT_11 to self in 200 ticks
+*** END OF TEST 11 ***
Index: c/src/ada-tests/sptests/sp12/sp12.scn
===================================================================
--- c/src/ada-tests/sptests/sp12/sp12.scn	(revision 9917d5da0143ed183c9027a509ec85eab4b2d0e3)
+++ c/src/ada-tests/sptests/sp12/sp12.scn	(revision 9917d5da0143ed183c9027a509ec85eab4b2d0e3)
@@ -0,0 +1,78 @@
+*** TEST 12 ***
+INIT - Forward priority queue test
+PRI1 - semaphore_obtain - wait forever on SM2
+PRI2 - semaphore_obtain - wait forever on SM2
+PRI3 - semaphore_obtain - wait forever on SM2
+PRI4 - semaphore_obtain - wait forever on SM2
+PRI5 - semaphore_obtain - wait forever on SM2
+INIT - Backward priority queue test
+PRI5 - semaphore_obtain - wait forever on SM2
+PRI4 - semaphore_obtain - wait forever on SM2
+PRI3 - semaphore_obtain - wait forever on SM2
+PRI2 - semaphore_obtain - wait forever on SM2
+PRI1 - semaphore_obtain - wait forever on SM2
+<pause>
+INIT - Binary Semaphore and Priority Inheritance Test
+INIT - semaphore_create - allocated binary semaphore
+INIT - semaphore_release - allocated binary semaphore
+INIT - semaphore_delete - allocated binary semaphore
+PRI5 - semaphore_obtain - wait forever on SM2
+PRI5 - task_suspend - until all priority tasks blocked
+PDRV - priority of PRI5 is          67
+PRI4 - semaphore_obtain - wait forever on SM2
+PDRV - change priority of PRI5 from          67 to 68
+PDRV - priority of PRI5 is          67
+PRI3 - semaphore_obtain - wait forever on SM2
+PDRV - priority of PRI5 is          67
+PRI2 - semaphore_obtain - wait forever on SM2
+PDRV - priority of PRI5 is          66
+PRI1 - semaphore_obtain - wait forever on SM2
+PDRV - priority of PRI5 is          65
+PDRV - task_resume - PRI5
+PRI5 - task_delete - all tasks waiting on SM2
+PRI5 - semaphore_obtain - nested
+PRI5 - semaphore_release - nested
+PRI5 - semaphore_release - restore priority
+PRI5 - priority of PRI5 is          68
+<pause>
+TA1 - semaphore_ident - smid => 16#10001#
+TA1 - semaphore_obtain - wait forever on SM2
+TA1 - got SM2
+TA1 - semaphore_obtain - wait forever on SM3
+TA1 - got SM3
+TA1 - semaphore_obtain - get SM1 - NO_WAIT
+TA1 - got SM1
+TA1 - task_wake_after - sleep 5 seconds
+TA2 - semaphore_obtain - wait forever on SM1
+TA3 - semaphore_obtain - wait forever on SM2
+<pause>
+TA1 - semaphore_release - release SM1
+TA1 - semaphore_obtain - waiting for SM1 with 10 second timeout
+TA2 - got SM1
+TA2 - semaphore_release - release SM1
+TA2 - task_set_priority - make self highest priority task
+TA2 - semaphore_obtain - wait forever on SM2
+TA1 - got SM1
+TA1 - semaphore_release - release SM2
+TA2 - got SM2
+TA2 - semaphore_release - release SM2
+TA2 - task_delete - delete self
+TA1 - task_wake_after - sleep 5 seconds
+TA3 - got SM2
+TA3 - semaphore_release - release SM2
+TA3 - semaphore_obtain - wait forever on SM3
+<pause>
+TA1 - task_delete - delete TA3
+TA1 - task_wake_after - sleep 5 seconds
+TA4 - semaphore_obtain - wait forever on SM1
+TA5 - semaphore_obtain - wait forever on SM1
+TA1 - task_delete - delete TA4
+TA1 - semaphore_release - release SM1
+TA1 - task_wake_after - sleep 5 seconds
+TA5 - got SM1
+TA5 - semaphore_obtain - wait forever on SM1
+TA1 - semaphore_delete - delete SM1
+TA1 - semaphore_delete - delete SM3
+TA1 - task_delete - delete self
+TA5 - SM1 deleted by TA1
+*** END OF TEST 12 ***
Index: c/src/ada-tests/sptests/sp13/sp13.scn
===================================================================
--- c/src/ada-tests/sptests/sp13/sp13.scn	(revision 9917d5da0143ed183c9027a509ec85eab4b2d0e3)
+++ c/src/ada-tests/sptests/sp13/sp13.scn	(revision 9917d5da0143ed183c9027a509ec85eab4b2d0e3)
@@ -0,0 +1,66 @@
+*** TEST 13 ***
+TA1 - message_queue_ident - qid => 16#10001#
+TA1 - message_queue_send - BUFFER 1 TO Q 1
+TA1 - message_queue_send - BUFFER 2 TO Q 1
+TA1 - task_wake_after - sleep 5 seconds
+TA2 - message_queue_receive - receive from queue 1 - NO_WAIT
+TA2 - buffer received: BUFFER 1 TO Q 1
+TA2 - message_queue_receive - receive from queue 1 - WAIT FOREVER
+TA2 - buffer received: BUFFER 2 TO Q 1
+TA2 - message_queue_receive - receive from queue 1 - WAIT FOREVER
+TA3 - message_queue_receive - receive from queue 2 - WAIT FOREVER
+TA1 - message_queue_send - BUFFER 3 TO Q 1
+TA1 - task_wake_after - sleep 5 seconds
+TA2 - buffer received: BUFFER 3 TO Q 1
+TA2 - task_set_priority - make self highest priority task
+TA2 - message_queue_receive - receive from queue 2 - WAIT FOREVER
+<pause>
+TA1 - message_queue_send - BUFFER 1 TO Q 2
+TA2 - buffer received: BUFFER 1 TO Q 2
+TA2 - message_queue_send - BUFFER 2 TO Q 2
+TA2 - message_queue_receive - receive from queue 1 - 10 second timeout
+TA1 - message_queue_receive - receive from queue 1 - 10 second timeout
+TA3 - buffer received: BUFFER 2 TO Q 2
+TA3 - message_queue_broadcast - BUFFER 3 TO Q 1
+TA2 - buffer received: BUFFER 3 TO Q 1
+TA2 - message_queue_receive - receive from queue 3 - WAIT FOREVER
+TA3 - number of tasks awakened =  2
+TA3 - message_queue_receive - receive from queue 3 - WAIT FOREVER
+TA1 - buffer received: BUFFER 3 TO Q 1
+TA1 - task_delete - delete TA2
+TA1 - message_queue_send - BUFFER 1 TO Q 3
+TA1 - task_wake_after - sleep 5 seconds
+TA3 - buffer received: BUFFER 1 TO Q 3
+TA3 - task_delete - delete self
+<pause>
+TA1 - message_queue_send - BUFFER 2 TO Q 3
+TA1 - message_queue_send - BUFFER 3 TO Q 3
+TA1 - message_queue_send - BUFFER 4 TO Q 3
+TA1 - message_queue_urgent - BUFFER 5 TO Q 3
+TA1 - message_queue_receive - receive from queue 3 - WAIT FOREVER
+TA1 - buffer received: BUFFER 5 TO Q 3
+TA1 - message_queue_receive - receive from queue 3 - WAIT FOREVER
+TA1 - buffer received: BUFFER 2 TO Q 3
+TA1 - message_queue_receive - receive from queue 3 - WAIT FOREVER
+TA1 - buffer received: BUFFER 3 TO Q 3
+TA1 - message_queue_receive - receive from queue 3 - WAIT FOREVER
+TA1 - buffer received: BUFFER 4 TO Q 3
+TA1 - message_queue_urgent - BUFFER 3 TO Q 2
+TA1 - message_queue_receive - receive from queue 2 - WAIT FOREVER
+TA1 - buffer received: BUFFER 3 TO Q 2
+<pause>
+TA1 - message_queue_delete - delete queue 1
+TA1 - message_queue_urgent - BUFFER 3 TO Q 2
+TA1 - message_queue_delete - delete queue 2
+TA1 - message_queue_flush - empty Q 3
+TA1 -   0 messages were flushed from Q 3
+TA1 - message_queue_send - BUFFER 1 TO Q 3
+TA1 - message_queue_send - BUFFER 2 TO Q 3
+TA1 - message_queue_send - BUFFER 3 TO Q 3
+TA1 - message_queue_flush - Q 3
+TA1 -   3 messages were flushed from Q 3
+TA1 - message_queue_send - until all message buffers consumed
+TA1 - message_queue_send - all message buffers consumed
+TA1 - message_queue_flush - Q 3
+TA1 - 100 messages were flushed from Q 3
+*** END OF TEST 13 *** 
Index: c/src/ada-tests/sptests/sp14/sp14.scn
===================================================================
--- c/src/ada-tests/sptests/sp14/sp14.scn	(revision 9917d5da0143ed183c9027a509ec85eab4b2d0e3)
+++ c/src/ada-tests/sptests/sp14/sp14.scn	(revision 9917d5da0143ed183c9027a509ec85eab4b2d0e3)
@@ -0,0 +1,33 @@
+*** TEST 14 ***
+TA1 - signal_catch - INTERRUPT_LEVEL( 3 )
+TA1 - signal_send - SIGNAL_16 to self
+ASR - ENTRY - signal => 16#10000#
+ASR - EXIT  - signal => 16#10000#
+TA1 - signal_send - SIGNAL_0 to self
+ASR - ENTRY - signal =>     16#1#
+ASR - task_wake_after - yield processor
+TA2 - signal_send - SIGNAL_17 to TA1
+TA2 - task_wake_after - yield processor
+ASR - ENTRY - signal => 16#20000#
+ASR - EXIT  - signal => 16#20000#
+ASR - EXIT  - signal =>     16#1#
+TA1 - signal_catch - NO_ASR
+<pause>
+TA1 - signal_send - SIGNAL_1 to self
+ASR - ENTRY - signal =>     16#2#
+ASR - task_wake_after - yield processor
+TA2 - signal_send - SIGNAL_18 and SIGNAL_19 to TA1
+TA2 - task_wake_after - yield processor
+ASR - EXIT  - signal =>     16#2#
+ASR - ENTRY - signal => 16#C0000#
+ASR - EXIT  - signal => 16#C0000#
+TA1 - task_mode - disable ASRs
+TA1 - sending signal to SELF from timer
+TA1 - waiting for signal to arrive
+TA1 - timer routine got the correct arguments
+TA1 - task_mode - enable ASRs
+ASR - ENTRY - signal => 16#8#
+ASR - EXIT  - signal => 16#8#
+TA1 - signal_catch - ASR ADDRESS of NULL
+TA1 - task_delete - delete self
+*** END OF TEST 14 ***
Index: c/src/ada-tests/sptests/sp15/sp15.scn
===================================================================
--- c/src/ada-tests/sptests/sp15/sp15.scn	(revision 9917d5da0143ed183c9027a509ec85eab4b2d0e3)
+++ c/src/ada-tests/sptests/sp15/sp15.scn	(revision 9917d5da0143ed183c9027a509ec85eab4b2d0e3)
@@ -0,0 +1,16 @@
+*** TEST 15 ***
+INIT - partition_create - partition 1
+INIT - partition_create - partition 2
+TA1 - partition_ident - partition 1 id = 16#10001#
+TA1 - partition_ident - partition 2 id = 16#10002#
+TA1 - partition_get_buffer - get buffer 1 from partition 1  -     16#0#
+TA1 - partition_get_buffer - get buffer 2 from partition 1  -   16#200#
+TA1 - partition_get_buffer - get buffer 1 from partition 2  -     16#0#
+TA1 - partition_get_buffer - get buffer 2 from partition 2  -    16#80#
+TA1 - partition_return_buffer - return buffer 1 to partition 1 -     16#0#
+TA1 - partition_return_buffer - return buffer 2 to partition 1 -   16#200#
+TA1 - partition_return_buffer - return buffer 1 to partition 2 -     16#0#
+TA1 - partition_return_buffer - return buffer 2 to partition 2 -    16#80#
+TA1 - partition_delete - delete partition 1
+TA1 - partition_delete - delete partition 2
+*** END OF TEST 15 ***
Index: c/src/ada-tests/sptests/sp16/sp16.scn
===================================================================
--- c/src/ada-tests/sptests/sp16/sp16.scn	(revision 9917d5da0143ed183c9027a509ec85eab4b2d0e3)
+++ c/src/ada-tests/sptests/sp16/sp16.scn	(revision 9917d5da0143ed183c9027a509ec85eab4b2d0e3)
@@ -0,0 +1,48 @@
+*** TEST 16 ***
+TA1 - region_ident - rnid => 16#10001#
+TA1 - region_get_segment - wait on 100 byte segment from region 2
+TA1 - got segment from region 2 - 16#F78#
+TA1 - region_get_segment - wait on 3K segment from region 3
+TA1 - got segment from region 3 - 16#3F8#
+TA1 - region_get_segment - get 3080 byte segment from region 1 - NO_WAIT
+TA1 - got segment from region 1 - 16#378#
+TA1 - task_wake_after - yield processor
+TA2 - region_get_segment - wait on 2K segment from region 1
+TA3 - region_get_segment - wait on 3968 byte segment from region 2
+<pause>
+TA1 - region_return_segment - return segment to region 1 - 16#378#
+TA1 - region_get_segment - wait 10 seconds for 3K segment from region 1
+TA2 - got segment from region 1 - 16#7F8#
+TA2 - region_return_segment - return segment to region 1 - 16#7F8#
+TA2 - task_set_priority - make self highest priority task
+TA2 - region_get_segment - wait on 3968 byte segment from region 2
+TA1 - got segment from region 1 - 16#3F8#
+TA1 - region_return_segment - return segment to region 2 - 16#F78#
+TA2 - got segment from region 2 - 16#8#
+TA2 - region_return_segment - return segment to region 2 - 16#8#
+TA2 - task_delete - delete self
+TA1 - task_wake_after - yield processor
+TA3 - got segment from region 2 - 16#8#
+TA3 - region_get_segment - wait on 2K segment from region 3
+TA1 - task_delete - delete TA3
+<pause>
+TA1 - task_wake_after - yield processor
+TA4 - region_get_segment - wait on 1.5K segment from region 1
+TA5 - region_get_segment - wait on 1.5K segment from region 1
+TA1 - region_return_segment - return segment to region 1 - 16#3F8#
+TA1 - task_wake_after - yield processor
+TA4 - got and returned 16#9F8#
+TA5 - got and returned 16#3F0#
+TA1 - region_get_segment - wait 10 seconds for 3K segment from region 1
+TA1 - got segment from region 1 - 16#3F8#
+TA1 - task_wake_after - sleep 1 second
+TA4 - region_get_segment - wait on 3K segment from region 1
+TA5 - region_get_segment - wait on 3K segment from region 1
+TA1 - task_delete - delete TA4
+TA1 - region_return_segment - return segment to region 1 - 16#3F8#
+TA1 - task_wake_after - yield processor
+TA5 - got segment from region 1 - 16#3F8#
+TA5 - region_return_segment - return segment to region 1 - 16#3F8#
+TA5 - task_delete - delete self
+TA1 - region_delete - delete region 1
+*** END OF TEST 16 ***
Index: c/src/ada-tests/sptests/sp17/sp17.scn
===================================================================
--- c/src/ada-tests/sptests/sp17/sp17.scn	(revision 9917d5da0143ed183c9027a509ec85eab4b2d0e3)
+++ c/src/ada-tests/sptests/sp17/sp17.scn	(revision 9917d5da0143ed183c9027a509ec85eab4b2d0e3)
@@ -0,0 +1,8 @@
+*** TEST 17 ***
+TA2 - Suspending self
+TA1 - signal_catch: initializing signal catcher
+TA1 - Sending signal to self
+TA2 - signal_return preempted correctly
+TA1 - TA2 correctly preempted me
+TA1 - Got Back!!!
+*** END OF TEST 17 ***
Index: c/src/ada-tests/sptests/sp19/sp19.scn
===================================================================
--- c/src/ada-tests/sptests/sp19/sp19.scn	(revision 9917d5da0143ed183c9027a509ec85eab4b2d0e3)
+++ c/src/ada-tests/sptests/sp19/sp19.scn	(revision 9917d5da0143ed183c9027a509ec85eab4b2d0e3)
@@ -0,0 +1,56 @@
+*** TEST 19 ***
+FP1  - integer base = (   16#6000#)
+FP1  - float base = ( 6.00060E+03)
+FP1  - integer base = (   16#6000#)
+FP1  - float base = ( 6.00060E+03)
+TA1  - integer base = (   16#1000#)
+TA1  - clock_get -  9: 0: 0   12/31/1988
+TA2  - integer base = (   16#2000#)
+TA2  - clock_get -  9: 0: 0   12/31/1988
+TA3  - integer base = (   16#3000#)
+TA3  - clock_get -  9: 0: 0   12/31/1988
+TA4  - integer base = (   16#4000#)
+TA4  - float base = ( 4.00040E+03)
+TA4  - clock_get -  9: 0: 0   12/31/1988
+TA5  - integer base = (   16#5000#)
+TA5  - float base = ( 5.00050E+03)
+TA5  - clock_get -  9: 0: 0   12/31/1988
+TA4  - clock_get -  9: 0: 1   12/31/1988
+TA5  - clock_get -  9: 0: 1   12/31/1988
+TA4  - clock_get -  9: 0: 2   12/31/1988
+TA5  - clock_get -  9: 0: 2   12/31/1988
+TA4  - clock_get -  9: 0: 3   12/31/1988
+TA5  - clock_get -  9: 0: 3   12/31/1988
+TA4  - clock_get -  9: 0: 4   12/31/1988
+TA5  - clock_get -  9: 0: 4   12/31/1988
+TA1  - clock_get -  9: 0: 5   12/31/1988
+TA4  - clock_get -  9: 0: 5   12/31/1988
+TA5  - clock_get -  9: 0: 5   12/31/1988
+TA4  - clock_get -  9: 0: 6   12/31/1988
+TA5  - clock_get -  9: 0: 6   12/31/1988
+TA4  - clock_get -  9: 0: 7   12/31/1988
+TA5  - clock_get -  9: 0: 7   12/31/1988
+TA4  - clock_get -  9: 0: 8   12/31/1988
+TA5  - clock_get -  9: 0: 8   12/31/1988
+TA4  - clock_get -  9: 0: 9   12/31/1988
+TA5  - clock_get -  9: 0: 9   12/31/1988
+TA2  - clock_get -  9: 0:10   12/31/1988
+TA1  - clock_get -  9: 0:10   12/31/1988
+TA4  - clock_get -  9: 0:10   12/31/1988
+TA5  - clock_get -  9: 0:10   12/31/1988
+TA4  - clock_get -  9: 0:11   12/31/1988
+TA5  - clock_get -  9: 0:11   12/31/1988
+TA4  - clock_get -  9: 0:12   12/31/1988
+TA5  - clock_get -  9: 0:12   12/31/1988
+TA4  - clock_get -  9: 0:13   12/31/1988
+TA5  - clock_get -  9: 0:13   12/31/1988
+TA4  - clock_get -  9: 0:14   12/31/1988
+TA5  - clock_get -  9: 0:14   12/31/1988
+TA1  - clock_get -  9: 0:15   12/31/1988
+TA3  - clock_get -  9: 0:15   12/31/1988
+TA5  - clock_get -  9: 0:15   12/31/1988
+TA4  - clock_get -  9: 0:15   12/31/1988
+TA4 - task_delete - self
+TA5 - task_delete - TA3
+*** END OF TEST 19 ***
+
Index: c/src/ada-tests/sptests/sp20/sp20.scn
===================================================================
--- c/src/ada-tests/sptests/sp20/sp20.scn	(revision 9917d5da0143ed183c9027a509ec85eab4b2d0e3)
+++ c/src/ada-tests/sptests/sp20/sp20.scn	(revision 9917d5da0143ed183c9027a509ec85eab4b2d0e3)
@@ -0,0 +1,27 @@
+*** TEST 20 ***
+TA1 - rate_monotonic_create id = 16#10001#
+TA1 - rate_monotonic_ident id = 16#10001#
+TA1 - (16#10001#) period 2
+TA2 - rate_monotonic_create id = 16#10002#
+TA2 - rate_monotonic_ident id = 16#10002#
+TA2 - (16#10002#) period 2
+TA3 - rate_monotonic_create id = 16#10003#
+TA3 - rate_monotonic_ident id = 16#10003#
+TA3 - (16#10003#) period 2
+TA4 - rate_monotonic_create id = 16#10004#
+TA4 - rate_monotonic_ident id = 16#10004#
+TA4 - (16#10004#) period 2
+TA5 - rate_monotonic_create id = 16#10005#
+TA5 - rate_monotonic_ident id = 16#10005#
+TA5 - (16#10005#) period 100
+TA5 - PERIODS CHECK OK (1)
+TA5 - PERIODS CHECK OK (2)
+TA5 - PERIODS CHECK OK (3)
+TA5 - PERIODS CHECK OK (4)
+TA5 - PERIODS CHECK OK (5)
+TA5 - PERIODS CHECK OK (6)
+TA5 - PERIODS CHECK OK (7)
+TA5 - PERIODS CHECK OK (8)
+TA5 - PERIODS CHECK OK (9)
+TA5 - PERIODS CHECK OK (10)
+*** END OF TEST 20 ***
Index: c/src/ada-tests/sptests/sp21/sp21.scn
===================================================================
--- c/src/ada-tests/sptests/sp21/sp21.scn	(revision 9917d5da0143ed183c9027a509ec85eab4b2d0e3)
+++ c/src/ada-tests/sptests/sp21/sp21.scn	(revision 9917d5da0143ed183c9027a509ec85eab4b2d0e3)
@@ -0,0 +1,19 @@
+*** TEST 21 ***
+-----  TESTING THE NULL DRIVER CHECKS  -----
+TA1 - io_initialize - NULL DRIVER SUCCESSFUL
+TA1 - io_open       - NULL DRIVER SUCCESSFUL
+TA1 - io_close      - NULL DRIVER SUCCESSFUL
+TA1 - io_read       - NULL DRIVER SUCCESSFUL
+TA1 - io_write      - NULL DRIVER SUCCESSFUL
+TA1 - io_control    - NULL DRIVER SUCCESSFUL
+-----  TESTING THE I/O MANAGER DIRECTIVES  -----
+TA1 - io_initialize - STUB DRIVER SUCCESSFUL
+TA1 - io_open       - STUB DRIVER SUCCESSFUL
+TA1 - io_close      - STUB DRIVER SUCCESSFUL
+TA1 - io_read       - STUB DRIVER SUCCESSFUL
+TA1 - io_write      - STUB DRIVER SUCCESSFUL
+TA1 - io_control    - STUB DRIVER SUCCESSFUL
+-----  RETURNING INVALID MAJOR NUMBER -----
+TA1 - io_initialize - INVALID_NUMBER
+TA1 - io_open       - INVALID_NUMBER
+*** END OF TEST 21 ***
Index: c/src/ada-tests/sptests/sp22/sp22.scn
===================================================================
--- c/src/ada-tests/sptests/sp22/sp22.scn	(revision 9917d5da0143ed183c9027a509ec85eab4b2d0e3)
+++ c/src/ada-tests/sptests/sp22/sp22.scn	(revision 9917d5da0143ed183c9027a509ec85eab4b2d0e3)
@@ -0,0 +1,29 @@
+*** TEST 22 ***
+INIT - timer_create - creating timer 1
+INIT - timer 1 has id (16#10001#)
+TA1 - timer_ident - identing timer 1
+TA1 - timer 1 has id (16#10001#)
+TA1 - clock_get -  9: 0: 0   12/31/1988
+TA1 - timer_after - timer 1 in 3 seconds
+TA1 - task_suspend( SELF ) 
+TA1 - clock_get -  9: 0: 3   12/31/1988
+TA1 - timer_after - timer 1 in 3 seconds
+TA1 - task_wake_after - 1 second
+TA1 - clock_get -  9: 0: 4   12/31/1988
+TA1 - timer_reset - timer 1
+TA1 - task_suspend( SELF )
+TA1 - clock_get -  9: 0: 7   12/31/1988
+<pause>
+TA1 - timer_after - timer 1 in 3 seconds
+TA1 - timer_cancel - timer 1
+TA1 - clock_get -  9: 0: 7   12/31/1988
+TA1 - timer_when - timer 1 in 3 seconds
+TA1 - task_suspend( SELF )
+TA1 - clock_get -  9: 0:10   12/31/1988
+TA1 - timer_when - timer 1 in 3 seconds
+TA1 - task_wake_after - 1 second
+TA1 - clock_get -  9: 0:11   12/31/1988
+TA1 - timer_cancel - timer 1
+TA1 - task_wake_after - YIELD (only task at priority)
+TA1 - timer_delete - timer 1
+*** END OF TEST 22 ***
Index: c/src/ada-tests/sptests/sp23/sp23.scn
===================================================================
--- c/src/ada-tests/sptests/sp23/sp23.scn	(revision 9917d5da0143ed183c9027a509ec85eab4b2d0e3)
+++ c/src/ada-tests/sptests/sp23/sp23.scn	(revision 9917d5da0143ed183c9027a509ec85eab4b2d0e3)
@@ -0,0 +1,9 @@
+*** TEST 23 ***
+INIT - port_create - DP1 - internal = 16#1000# external = 16#2000#
+TA1 - port_ident - 16#10001#
+TA1 - port_external_to_internal - external: 16#200E# => internal: 16#100E#
+TA1 - port_internal_to_external - internal: 16#100E# => external: 16#200E#
+TA1 - port_external_to_internal - external: 16#300E# => internal: 16#300E#
+TA1 - port_internal_to_external - internal:  16#50E# => external:  16#50E#
+TA1 - port_delete - DP1
+*** END OF TEST 23 ***
Index: c/src/ada-tests/sptests/sp24/sp24.scn
===================================================================
--- c/src/ada-tests/sptests/sp24/sp24.scn	(revision 9917d5da0143ed183c9027a509ec85eab4b2d0e3)
+++ c/src/ada-tests/sptests/sp24/sp24.scn	(revision 9917d5da0143ed183c9027a509ec85eab4b2d0e3)
@@ -0,0 +1,17 @@
+*** TEST 24 ***
+TA1  - clock_get -  9: 0: 0   12/31/1988
+TA2  - clock_get -  9: 0: 0   12/31/1988
+TA3  - clock_get -  9: 0: 0   12/31/1988
+TA1  - clock_get -  9: 0: 5   12/31/1988
+TA2  - clock_get -  9: 0:10   12/31/1988
+TA1  - clock_get -  9: 0:10   12/31/1988
+TA3  - clock_get -  9: 0:15   12/31/1988
+TA1  - clock_get -  9: 0:15   12/31/1988
+TA2  - clock_get -  9: 0:20   12/31/1988
+TA1  - clock_get -  9: 0:20   12/31/1988
+TA1  - clock_get -  9: 0:25   12/31/1988
+TA3  - clock_get -  9: 0:30   12/31/1988
+TA1  - clock_get -  9: 0:30   12/31/1988
+TA2  - clock_get -  9: 0:30   12/31/1988
+*** END OF TEST 24 ***
+
Index: c/src/ada-tests/sptests/sp25/sp25.scn
===================================================================
--- c/src/ada-tests/sptests/sp25/sp25.scn	(revision 9917d5da0143ed183c9027a509ec85eab4b2d0e3)
+++ c/src/ada-tests/sptests/sp25/sp25.scn	(revision 9917d5da0143ed183c9027a509ec85eab4b2d0e3)
@@ -0,0 +1,29 @@
+*** TEST 25 ***
+TA1 - region_ident - rnid => 16#10001#
+TA1 - region_get_segment - wait on 64 byte segment from region 1
+TA1 - got segment from region 1 - 16#F9B8#
+TA1 - region_get_segment - wait on 128 byte segment from region 1
+TA1 - got segment from region 1 - 16#F930#
+TA1 - region_get_segment - wait on 256 byte segment from region 1
+TA1 - got segment from region 1 - 16#F828#
+TA1 - region_get_segment - wait on 512 byte segment from region 1
+TA1 - got segment from region 1 - 16#F620#
+TA1 - region_get_segment - wait on 1024 byte segment from region 1
+TA1 - got segment from region 1 - 16#F218#
+TA1 - region_get_segment - wait on 2048 byte segment from region 1
+TA1 - got segment from region 1 - 16#EA10#
+TA1 - region_get_segment - wait on 4096 byte segment from region 1
+TA1 - got segment from region 1 - 16#DA08#
+TA1 - region_get_segment - wait on 8192 byte segment from region 1
+TA1 - got segment from region 1 - 16#BA00#
+<pause>
+TA1 - region_return_segment - return segment to region 1 - 16#F828#
+TA1 - region_return_segment - return segment to region 1 - 16#F620#
+TA1 - region_return_segment - return segment to region 1 - 16#F9B8#
+TA1 - region_return_segment - return segment to region 1 - 16#F930#
+TA1 - region_return_segment - return segment to region 1 - 16#DA08#
+TA1 - region_return_segment - return segment to region 1 - 16#EA10#
+TA1 - region_return_segment - return segment to region 1 - 16#BA00#
+TA1 - region_return_segment - return segment to region 1 - 16#F218#
+TA1 - region_delete - walks heap if debug enabled
+*** END OF TEST 25 ***
